# build with KDE address book support?
%define kde	1

%define name	twinkle
%define version	1.1
%define release %mkrel 4

%define _requires_exceptions libresolv.so.2

Name: 	 	%{name}
Summary: 	Voice Over IP phone using SIP for QT
Version: 	%{version}
Release: 	%{release}

Source:		http://www.xs4all.nl/~mfnboer/twinkle/download/%{name}-%{version}.tar.bz2
URL:		http://www.xs4all.nl/~mfnboer/twinkle/
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libCommonC++-devel >= 1.3.0
BuildRequires:	ccrtp-devel >= 1.3.4
BuildRequires:	qt3-devel
BuildRequires:	libsndfile-devel
BuildRequires:	speex-devel
BuildRequires:	boost-devel
BuildRequires:	libzrtpcpp-devel
BuildRequires:	desktop-file-utils
BuildRequires:	alsa-lib-devel
%if %kde
BuildRequires:	kdelibs-common
BuildRequires:	kdepim-devel
%endif

%description
Twinkle is a soft phone for your voice over IP communcations using the SIP
protocol. You can use it for direct IP phone to IP phone communication or in
a network using a SIP proxy to route your calls.

%prep
%setup -q

%build
export PATH=$PATH:%{_prefix}/lib/qt3/bin
%if %kde
%configure2_5x --with-qt-libraries=%{_prefix}/lib/qt3/%{_lib} --with-zrtp --with-kde
%else
%configure2_5x --with-qt-libraries=%{_prefix}/lib/qt3/%{_lib} --with-zrtp --without-kde
%endif
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cp src/gui/images/twinkle48.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cp src/gui/images/twinkle32.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cp src/gui/images/twinkle16.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor="" \
	--dir %{buildroot}%{_datadir}/applications/ \
	twinkle.desktop

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README THANKS
%{_bindir}/%name
%{_datadir}/%name
%{_datadir}/applications/*.desktop
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png


%changelog
* Sun Mar 02 2008 Austin Acton <austin@mandriva.org> 1.1-4mdv2008.1
+ Revision: 177716
- enable KDE support (bug 36973)

* Sun Jan 13 2008 Austin Acton <austin@mandriva.org> 1.1-3mdv2008.1
+ Revision: 150571
- qt3 bin path
- rebuild for boost

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Jul 25 2007 Austin Acton <austin@mandriva.org> 1.1-2mdv2008.0
+ Revision: 55303
- buildrequires alsa (closes 32090)

* Mon Jul 23 2007 Funda Wang <fundawang@mandriva.org> 1.1-1mdv2008.0
+ Revision: 54798
- Install desktop file
- New version

* Sun May 20 2007 Austin Acton <austin@mandriva.org> 1.0.1-1mdv2008.0
+ Revision: 28874
- new version

* Thu May 17 2007 Austin Acton <austin@mandriva.org> 1.0-3mdv2008.0
+ Revision: 27538
- fix menu

* Wed May 16 2007 Austin Acton <austin@mandriva.org> 1.0-2mdv2008.0
+ Revision: 27464
- fix wrong auto requires
- build with zrtp support


* Wed Mar 14 2007 Austin Acton <austin@mandriva.org> 1.0-1mdv2007.1
+ Revision: 143851
- fix lib64 build
- build QT-only
- new version; maybe add zrtp support later
- Import twinkle

* Mon Aug 14 2006 Austin Acton <austin@mandriva.org> 0.8.1-1mdv2007.0
- 0.8.1

* Sat Aug 12 2006 Austin Acton <austin@mandriva.org> 0.8-2mdv2007.0
- buildrequires boost-devel
- XDG menu

* Thu Jul 06 2006 Austin Acton <austin@mandriva.org> 0.8-1mdv2007.0
- New release 0.8

* Tue May 16 2006 Austin Acton <austin@mandriva.org> 0.7.1-1mdk
- initial package

